astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- VOTable XML handling (`astropy.io.votable`) »
- FieldRef

# FieldRef

class `astropy.io.votable.tree.``FieldRef`(table, ref, ucd=None, utype=None, config={}, pos=None, **extra)

  Bases: `astropy.io.votable.tree.SimpleElement`, `astropy.io.votable.tree._UtypeProperty`, `astropy.io.votable.tree._UcdProperty`

  FIELDref element: used inside of GROUP elements to refer to remote FIELD elements.

  Attributes Summary

  `ref` | The ID of the FIELD that this FIELDref references.

  Methods Summary

  `get_ref`() | Lookup the `Field` instance that this `FieldRef` references.

  Attributes Documentation

  `ref`

    The ID of the FIELD that this FIELDref references.

  Methods Documentation

  `get_ref`()

    Lookup the `Field` instance that this `FieldRef` references.